Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-4483920

compile under jdk1.3.1 but run under jdk1.2.2 results in VerifyError

    XMLWordPrintable

    Details

    • Subcomponent:
    • CPU:
      sparc
    • OS:
      solaris_8

      Description

      Compile the following codes under jdk1.3.1, then run it under jdk1.2.2, jdk1.3.1, jdk1.4, you can find that under jdk1.3.1/jdk1.4, it runs well, but under jdk1.2.2, a VerifyError will be thrown.

      import javax.swing.*;
      import javax.swing.table.*;

      public class Test
      {
          public Test() {
              new MyCellEditor();
      System.out.println("success!");
          }

          static public void main(String[] args) {
              new Test();
          }
      }

      class MyCellEditor extends DefaultCellEditor {
          public MyCellEditor() {
              super(new JCheckBox());
          }
          
          protected void fireEditingStopped() {
              super.fireEditingStopped();
          }
      }

        Attachments

          Activity

            People

            Assignee:
            gafter Neal Gafter
            Reporter:
            duke J. Duke (Inactive)
            Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:
              Imported:
              Indexed: